Bug 132738 - kudzu should represent wacom tablets as Driver: wacom
kudzu should represent wacom tablets as Driver: wacom
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks: FC3Target
  Show dependency treegraph
Reported: 2004-09-16 11:28 EDT by Paul Nasrat
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.1.92-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 18:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-09-16 11:28:35 EDT
Description of problem:

Adding wacom tablet support to distribution requires accurate
detection if we have a tablet (rather than a wacom manufactured mouse)

For USB it'd be nice is wacom tablets were represented as driver:
wacom so rhpl.mouse and later xconfig tools can do the right thing
(synaptics is done this way). 

Version-Release number of selected component (if applicable):


Additional info:

Sample tablet:

I: Bus=0003 Vendor=056a Product=0014 Version=0314
N: Name="Wacom Graphire3 6x8"
P: Phys=usb-0000:02:01.0-1/input0
H: Handlers=mouse1 event2 
B: EV=f 
B: KEY=1c43 0 70000 0 0 0 0 0 0 0 0 
B: REL=100 
B: ABS=3000003 

class: MOUSE
bus: USB
detached: 0
device: input/mice
driver: genericwheelusb
desc: "WACOM CTE-630-UV3.1-4"
usbclass: 3
usbsubclass: 1
usbprotocol: 2
usbbus: 1
usblevel: 1
usbport: 0
usbdev: 2
vendorId: 056a
deviceId: 0014
usbmfr: WACOM
usbprod: CTE-630-UV3.1-4

Also  WACOM CTE-430-UV3.1-4 exists, probably others.
Comment 1 Bill Nottingham 2004-10-01 18:16:18 EDT
Generic mapping for anything returning 'Wacom' in description added in
1.1.92-1. They don't make regular mice, do they?

Note You need to log in before you can comment on or make changes to this bug.